# Uses of Interface
org.eclipse.draw2d.GraphicsSource

Packages that use GraphicsSource
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of GraphicsSource in org.eclipse.draw2d

Classes in org.eclipse.draw2d that implement GraphicsSource
Modifier and Type
Class
Description
`final class`
`NativeGraphicsSource`
A graphics source that posts a paint request to the control rather than constructing GC on it directly.
Fields in org.eclipse.draw2d declared as GraphicsSource
Modifier and Type
Field
Description
`protected GraphicsSource`
SubordinateUpdateManager.`graphicsSource`
Deprecated.
A graphics source
Methods in org.eclipse.draw2d with parameters of type GraphicsSource
Modifier and Type
Method
Description
`void`
DeferredUpdateManager.`setGraphicsSource(GraphicsSource gs)`
Sets the graphics source.
`void`
SubordinateUpdateManager.`setGraphicsSource(GraphicsSource gs)`
Deprecated.
`abstract void`
UpdateManager.`setGraphicsSource(GraphicsSource gs)`
Sets the GraphicsSource for this update manager.
Constructors in org.eclipse.draw2d with parameters of type GraphicsSource
Modifier
Constructor
Description
``
`DeferredUpdateManager(GraphicsSource gs)`
Constructs a new DererredUpdateManager with the given GraphicsSource.